A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Typedefs | Functions
afcl Namespace Reference

## Typedefs
typedef afcl_device_type | deviceType
typedef afcl_platform | platform

## Functions
static cl_context | getContext (bool retain=false)
| Get a handle to ArrayFire's OpenCL context.
static cl_command_queue | getQueue (bool retain=false)
| Get a handle to ArrayFire's OpenCL command queue.
static cl_device_id | getDeviceId ()
| Get the device ID for ArrayFire's current active device.
static void | setDeviceId (cl_device_id id)
| Set ArrayFire's active device based on `id` of type cl_device_id.
static void | addDevice (cl_device_id dev, cl_context ctx, cl_command_queue que)
| Push user provided device control constructs into the ArrayFire device manager pool.
static void | setDevice (cl_device_id dev, cl_context ctx)
| Set active device using cl_context and cl_device_id.
static void | deleteDevice (cl_device_id dev, cl_context ctx)
| Remove the user provided device control constructs from the ArrayFire device manager pool.
static deviceType | getDeviceType ()
| Get the type of the current device.
static platform | getPlatform ()
| Get a vendor enumeration for the current platform.
static af::array | array (af::dim4 idims, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer.
static af::array | array (dim_t dim0, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer.
static af::array | array (dim_t dim0, dim_t dim1, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer.
static af::array | array (dim_t dim0, dim_t dim1, dim_t dim2, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer.
static af::array | array (dim_t dim0, dim_t dim1, dim_t dim2, dim_t dim3, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer.